Delete flow

Use this API to delete the flow.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp ID to fetch the access token{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup
flowIdFlow Id{{FLOW_ID}}StringRequiredFlow ID generated by Meta

Sample Request

curl --location --request DELETE 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flow/{{FLOW_ID}}' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json'

Sample Response

{
    "status": "success",
    "success": true
}

Status Codes

Status CodeResponseComments
Success
200

{

"status": "success", "success": true}

Successfully delete a flow
Error
400

{

"status": "error", "message": "After a flow has been published, it cannot be deleted. Please deprecate instead"}

For deleting a published flow
Path Params
string
required

Unique identifier of the app.

string
required

Flow Id generated by Meta

Headers
string

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json